Bug 507612 - kvm, kmod-kvm, and ksm modules fail to load
kvm, kmod-kvm, and ksm modules fail to load
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
x86_64 Linux
low Severity high
: beta
: ---
Assigned To: Eduardo Habkost
Lawrence Lim
:
Depends On:
Blocks: RHEL5u4_relnotes
  Show dependency treegraph
 
Reported: 2009-06-23 09:39 EDT by Wayne Berthiaume
Modified: 2014-03-25 20:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
KVM can only be used with the non-Xen kernel. KVM modules will not load, nor function when running the Xen hypervisor and Xen kernel.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 10:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Berthiaume 2009-06-23 09:39:02 EDT
Description of problem:
Modules fail to load via modprobe() or insmod()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@l82bi204 ~]# insmod /lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm.ko
insmod: error inserting '/lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm.ko': -1 Invalid module format
[root@l82bi204 ~]# insmod /lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm-intel.ko.ko
insmod: can't read '/lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm-intel.ko.ko': No such file or directory
[root@l82bi204 ~]# insmod /lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm-intel.ko
insmod: error inserting '/lib/modules/2.6.18-152.el5/extra/kmod-kvm/kvm-intel.ko': -1 Invalid module format
[root@l82bi204 ~]# insmod /lib/modules/2.6.18-152.el5/extra/kmod-kvm/ksm.ko
insmod: error inserting '/lib/modules/2.6.18-152.el5/extra/kmod-kvm/ksm.ko': -1 Invalid module format
[root@l82bi204 ~]# uname -a
Linux l82bi204.lss.emc.com 2.6.18-152.el5xen #1 SMP Wed Jun 3 19:14:54 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
You have new mail in /var/spool/mail/root
[root@l82bi204 ~]# modprobe kvm
FATAL: Module kvm not found.
[root@l82bi204 ~]# modprobe kmod-kvm
FATAL: Module kmod_kvm not found.
[root@l82bi204 ~]# modprobe ksm
FATAL: Module ksm not found.
[root@l82bi204 ~]# ls -las /lib/modules/2.6.18-152.el5/extra/kmod-kvm/
total 4504
   8 drwxr-xr-x 2 root root    4096 Jun 15 14:18 .
   8 drwxr-xr-x 4 root root    4096 Jun 15 14:19 ..
 348 -rw-r--r-- 1 root root  346211 Jun  8 13:03 ksm.ko
 520 -rw-r--r-- 1 root root  521412 Jun  8 13:03 kvm-amd.ko
 740 -rw-r--r-- 1 root root  749254 Jun  8 13:03 kvm-intel.ko
2880 -rw-r--r-- 1 root root 2937430 Jun  8 13:03 kvm.ko
[root@l82bi204 ~]# rpm -qa | grep kernel
kernel-2.6.18-152.el5
kernel-headers-2.6.18-152.el5
kernel-xen-devel-2.6.18-152.el5
kernel-xen-2.6.18-152.el5
[root@l82bi204 ~]# rpm -qa | grep kvm
kmod-kvm-83-72.el5
etherboot-zroms-kvm-5.4.4-10.el5
etherboot-roms-kvm-5.4.4-10.el5
kvm-tools-83-72.el5
kvm-qemu-img-83-72.el5
kvm-83-72.el5
[root@l82bi204 ~]#                   

Expected results:
Modules load and VMs can be installed.

Additional info:
Comment 2 Eduardo Habkost 2009-06-23 10:00:21 EDT
You are running a xen kernel (2.6.18-152.el5xen), you can't load the 2.6.18-152.el5 modules on it. For two reasons: 1) they are for a different kernel version so they will never load; 2) you can't run KVM under a xen kernel.

Please try again after booting a non-xen kernel.
Comment 3 Wayne Berthiaume 2009-06-23 10:08:37 EDT
Hi Eduardo.

    That thought just occurred to me as well after I comitted the BZ. I rebooted the server with the PAE kernel and the kvm and ksm modules are loaded.

     On a seperate note, is there documentation on configuring VMs?

Regards,
Wayne.
Comment 4 Eduardo Habkost 2009-06-23 10:26:24 EDT
(In reply to comment #3)
> Hi Eduardo.
> 
>     That thought just occurred to me as well after I comitted the BZ. I
> rebooted the server with the PAE kernel and the kvm and ksm modules are loaded.

Thanks.


> 
>      On a seperate note, is there documentation on configuring VMs?

The recommended way is to use libvirt, and the tools that use libvirt (virsh, virt-manager, virt-install). I normally use the upstream documentation on libvirt.org. I suppose there is RHEL-specific documentation too, but I would need to ask the documentation team.
Comment 5 Bill Burns 2009-06-25 08:56:14 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
KVM can only be used with the non-Xen kernel. LVM modules will not load or function when running the Xen hypervisor and Xen kernel.
Comment 6 Andrius Benokraitis 2009-06-27 00:02:06 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-KVM can only be used with the non-Xen kernel. LVM modules will not load or function when running the Xen hypervisor and Xen kernel.+KVM can only be used with the non-Xen kernel. LVM modules will not load, nor function when running the Xen hypervisor and Xen kernel.
Comment 7 Eduardo Habkost 2009-06-29 18:59:38 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-KVM can only be used with the non-Xen kernel. LVM modules will not load, nor function when running the Xen hypervisor and Xen kernel.+KVM can only be used with the non-Xen kernel. KVM modules will not load, nor function when running the Xen hypervisor and Xen kernel.

Note You need to log in before you can comment on or make changes to this bug.